org.appng.xml.platform

## Class Icon

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Icon

- All Implemented Interfaces:
    Serializable

      public class Icon
      extends BaseObject
      implements Serializable

  Used to define the icon for a link.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `condition`
    `protected String` | `content`
    `protected String` | `label`
    `protected Icontype` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Icon()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCondition()` The icon is only being displayed if this evaluates to `true`.
    `String` | `getContent()` Used to define the icon for a link.
    `String` | `getLabel()` The label for this icon.
    `Icontype` | `getType()` The `Icontype` for this icon.
    `void` | `setCondition(String value)` Sets the value of the condition property.
    `void` | `setContent(String value)` Sets the value of the content property.
    `void` | `setLabel(String value)` Sets the value of the label property.
    `void` | `setType(Icontype value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### content

          protected String content

    - #### label

          protected String label

    - #### condition

          protected String condition

    - #### type

          protected Icontype type

  - ### Constructor Detail

    - #### Icon

          public Icon()

  - ### Method Detail

    - #### getContent

          public String getContent()

      Used to define the icon for a link.
      Returns:
        possible object is `String`

    - #### setContent

          public void setContent(String value)

      Sets the value of the content property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLabel

          public String getLabel()

      The label for this icon.
      Returns:
        possible object is `String`

    - #### setLabel

          public void setLabel(String value)

      Sets the value of the label property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCondition

          public String getCondition()

      The icon is only being displayed if this evaluates to `true`.
      Returns:
        possible object is `String`

    - #### setCondition

          public void setCondition(String value)

      Sets the value of the condition property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public Icontype getType()

      The `Icontype` for this icon.
      Returns:
        possible object is `Icontype`

    - #### setType

          public void setType(Icontype value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `Icontype`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.